> ## Documentation Index
> Fetch the complete documentation index at: https://api.skycoach.gg/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product list



## OpenAPI

````yaml /api-docs.json get /api/shop/marketplace/products/list
openapi: 3.0.0
info:
  title: Currency Marketplace API
  description: API documentation for Currency Marketplace
  version: 1.0.0
servers:
  - url: https://skycoach.gg/
    description: API Server
security: []
tags:
  - name: Currency Marketplace
    description: Currency Marketplace
  - name: Offers
    description: Offers
  - name: Offer Credentials
    description: Offer Credentials
paths:
  /api/shop/marketplace/products/list:
    get:
      tags:
        - Currency Marketplace
      summary: Get product list
      operationId: 2d843287aa424cc0fc007ba3610d7e8b
      parameters:
        - name: Accept
          in: header
          description: API response format
          required: true
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: offset
          in: query
          description: 'Number of records to skip. Default: 0'
          schema:
            type: integer
            default: 0
            example: 0
        - name: limit
          in: query
          description: 'Maximum number of records to return. Default: 25, Max: 25'
          schema:
            type: integer
            default: 25
            maximum: 25
            example: 20
        - name: sort_column
          in: query
          schema:
            type: string
            example: id
        - name: sort_direction
          in: query
          description: |-
            Sort direction.
                 *
                 **Possible values:**
                 *
                 * - **asc**: Ascending order (from lowest to highest)
                 * - **desc**: Descending order (from highest to lowest)
          schema:
            type: string
            enum:
              - asc
              - desc
            example: asc
        - name: with_marketplace_type
          in: query
          description: |-
            Filter by marketplace type.
                 *
                 **Possible values:**
                 *
                 * - **1**: Gold marketplace
                 * - **2**: Account marketplace
          schema:
            type: integer
            enum:
              - 1
              - 2
            example: 2
        - name: with_is_active
          in: query
          schema:
            type: boolean
            example: true
      responses:
        '200':
          description: >-
            Success. Returns array of products matching
            PublicProductCurrencySettingResource.
          content:
            application/json:
              schema:
                properties:
                  result:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: 61
                        title:
                          type: string
                          example: Marvel Rivals Accounts
                        step_size:
                          type: integer
                          example: 1
                        meta:
                          type: object
                          example: null
                          nullable: true
                        is_active:
                          type: boolean
                          example: true
                        is_active_for_pro:
                          type: boolean
                          example: true
                        marketplace_type:
                          type: integer
                          enum:
                            - 1
                            - 2
                          example: 2
                        related_product:
                          type: array
                          items:
                            type: object
                        product_fields:
                          type: array
                          items:
                            properties:
                              id:
                                type: integer
                                example: 198
                              parent_id:
                                type: integer
                                example: null
                                nullable: true
                              product_id:
                                type: integer
                                example: 61
                              is_inline:
                                type: boolean
                                example: false
                              is_filter:
                                type: boolean
                                example: false
                              is_required:
                                type: boolean
                                example: true
                              title:
                                type: string
                                example: Platform
                              placeholder:
                                type: string
                                example: Platform
                                nullable: true
                              component_view:
                                type: integer
                                example: 5
                              priority:
                                type: integer
                                example: 2
                              deleted_at:
                                type: string
                                format: date-time
                                example: null
                                nullable: true
                              parent_value_id:
                                type: integer
                                example: null
                                nullable: true
                              default_value_id:
                                type: integer
                                example: null
                                nullable: true
                              is_primary:
                                type: boolean
                                example: true
                              component_edit:
                                type: integer
                                example: 2
                              has_custom_value:
                                type: boolean
                                example: false
                              has_values_counter:
                                type: boolean
                                example: false
                              component_view_data:
                                type: object
                                nullable: true
                              component_edit_data:
                                type: object
                                nullable: true
                              is_hidden:
                                type: boolean
                                example: false
                              ranking_weight:
                                type: integer
                                example: 0
                              is_show_in_tags:
                                type: boolean
                                example: false
                              title_for_primary:
                                type: string
                                example: null
                                nullable: true
                              title_for_tags:
                                type: string
                                example: null
                                nullable: true
                              is_sort_values_by_priority:
                                type: boolean
                                example: false
                              field_values:
                                type: array
                                items:
                                  properties:
                                    id:
                                      type: integer
                                      example: 1
                                    product_field_id:
                                      type: integer
                                      example: 198
                                    value:
                                      type: string
                                      example: PC
                                    priority:
                                      type: integer
                                      example: 1
                                    deleted_at:
                                      type: string
                                      format: date-time
                                      example: null
                                      nullable: true
                                    additional_value:
                                      type: string
                                      example: null
                                      nullable: true
                                  type: object
                            type: object
                      type: object
                  total:
                    type: integer
                    example: 13
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema: {}
              example:
                message: Unauthenticated.
        '403':
          description: Forbidden
          content:
            application/json:
              schema: {}
              example:
                message: Forbidden.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````